summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2018-02-23 01:46:10 +0100
committerDavide Pesavento <pesa@gentoo.org>2018-02-23 01:48:23 +0100
commitc68025ff70d0fda25e1aa1e1ced9e9c6df2a6347 (patch)
tree1a797068541100e2608267d3615e7324a07886d1 /dev-qt/qtlockedfile
parentmedia-video/dvd_info: (diff)
downloadgentoo-c68025ff70d0fda25e1aa1e1ced9e9c6df2a6347.tar.gz
gentoo-c68025ff70d0fda25e1aa1e1ced9e9c6df2a6347.tar.bz2
gentoo-c68025ff70d0fda25e1aa1e1ced9e9c6df2a6347.zip
dev-qt/qtlockedfile: new snapshot
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-qt/qtlockedfile')
-rw-r--r--dev-qt/qtlockedfile/Manifest1
-rw-r--r--dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20171024.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-qt/qtlockedfile/Manifest b/dev-qt/qtlockedfile/Manifest
index 809a7c95df6..a4bc5fdc6e8 100644
--- a/dev-qt/qtlockedfile/Manifest
+++ b/dev-qt/qtlockedfile/Manifest
@@ -1 +1,2 @@
DIST qt-solutions-20150629.tar.xz 710488 BLAKE2B 102829e3b2afa7cb665c09fc259f9b966596a8245e8e8325c6c45e402bc337d205539b20be791e16515754c6d74247a714b278028e9ffbb74f578c9b8b39b094 SHA512 a95ed58f0218cd90d734a40eedd173b896fa0138ad235f3157d7bee538b16c5f385d93bae483fd22267f2984389b9940bb85ba0cd3d25c16124d56abb39568f5
+DIST qt-solutions-20171024.tar.xz 710532 BLAKE2B 365f4c6fc3bee34bf26ac5039984ceac1d90527297b985b0d1b606f3ba67219bab7f7cba40b4adca55446c34e9f4fe218b4449ee255ba6f6409de78f80ccdaec SHA512 4784d88c2f40c88f06abeb728842875fb5e428a630dbf749f71055681b0c631803d2901b60aa8cc95f5f382dcd21da8d739873aa45e3dd3676ee95925f0198da
diff --git a/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20171024.ebuild b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20171024.ebuild
new file mode 100644
index 00000000000..cfa7ba1b31d
--- /dev/null
+++ b/dev-qt/qtlockedfile/qtlockedfile-2.4.1_p20171024.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit qmake-utils
+
+MY_P=qt-solutions-${PV#*_p}
+
+DESCRIPTION="QFile extension with advisory locking functions"
+HOMEPAGE="https://code.qt.io/cgit/qt-solutions/qt-solutions.git/"
+SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="dev-qt/qtcore:5"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}/${PN}"
+
+src_prepare() {
+ default
+
+ echo 'SOLUTIONS_LIBRARY = yes' > config.pri
+ echo 'QT -= gui' >> src/qtlockedfile.pri
+
+ sed -i -e "s/-head/-${PV%.*}/" common.pri || die
+ sed -i -e '/SUBDIRS+=example/d' ${PN}.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ use doc && local HTML_DOCS=( doc/html/. )
+ einstalldocs
+
+ # libraries
+ dolib.so lib/*
+
+ # headers
+ insinto "$(qt5_get_headerdir)"/QtSolutions
+ doins src/QtLockedFile src/${PN}.h
+
+ # .prf files
+ insinto "$(qt5_get_mkspecsdir)"/features
+ doins "${FILESDIR}"/${PN}.prf
+}